-- This file has been generated from package.yaml by hpack version 0.28.2.
--
-- see: https://github.com/sol/hpack
--
-- hash: a6840cc10f9064f0a63d54f3e5440e2e865a0236ea72224b1e948e6124ebbd26

name:           templating
version:        0.1.0.0
author:         ProofOfPizza
copyright:      ProofOfPizza
license:        MIT
build-type:     Simple
cabal-version:  >= 1.10
extra-source-files:
    README.md

library
  hs-source-dirs:
      src
  default-extensions: OverloadedStrings
  build-depends:
      base >=4.7 && <5
    , blaze-html
    , blaze-markup
    , bytestring
    , text
  exposed-modules:
      About
      AudioGallery
      Footer
      Gallery
      GigGallery
      Gigs
      Header
      Index
      Menu
      Music
      Pages
      Photos
  other-modules:
      Paths_templating
  default-language: Haskell2010

executable Templating
  main-is: Main.hs
  hs-source-dirs:
      app
  default-extensions: OverloadedStrings
  ghc-options: -dynamic -Wall -Wcompat -Wincomplete-record-updates -Wincomplete-uni-patterns -Wredundant-constraints -threaded -rtsopts -with-rtsopts=-N -Wno-type-defaults -Wno-name-shadowing
  build-depends:
      base >=4.7 && <5
    , blaze-html
    , blaze-markup
    , bytestring
    , templating
    , text
  other-modules:
      Paths_templating
  default-language: Haskell2010

test-suite Templating-test
  type: exitcode-stdio-1.0
  main-is: Spec.hs
  hs-source-dirs:
      test
  default-extensions: OverloadedStrings
  ghc-options: -threaded -rtsopts -with-rtsopts=-N
  build-depends:
      base >=4.7 && <5
    , blaze-html
    , blaze-markup
    , bytestring
    , templating
    , text
  other-modules:
      Paths_templating
  default-language: Haskell2010
